// Contains common type definitions.
#ifndef _LMTTYPES_H

#define _LMTTYPES_H

// The coordinate type.
typedef double coordT;
// Unsigned integers.
typedef unsigned int uint;

// Represents the status of an LMT-edge:
//   - possible: May be contained in the MWT
//   - certain: Is definitely contained in the MWT
//   - impossible: Is not contained in the MWT.
typedef enum {
  possible, certain, impossible
} LMTStatus;

#endif
