// Initialize the data-structure.
#ifndef _INIT_H
#define _INIT_H

#include <cstdlib>
#include <cstdio>

#ifdef DEBUG
#include <log4cpp/Category.hh>
#include <log4cpp/FileAppender.hh>
#include <log4cpp/BasicLayout.hh>
#include <log4cpp/NDC.hh>
#endif

#include "LMTPoint.h"
#include "LMTEdge.h"

// Initialize the data-structure for sites.
void initDataStructure(std::vector<LMTPoint> &sites);

#ifdef DEBUG
// Output debug information.
void dumpDataStructure(std::vector<LMTPoint> &sites);
// Initialize the logger.
void initLogging();
#endif

#endif // _INIT_H
